Skip to main content
GET
/
2.0
/
product
Retrieves List of Products based on filters provided
curl --request GET \
  --url https://api.shipbob.com/2.0/product \
  --header 'Authorization: Bearer <token>'
[
  {
    "category": {
      "id": 0,
      "name": "string"
    },
    "created_on": "2019-08-24T14:15:22Z",
    "id": 0,
    "name": "string",
    "sub_category": {
      "id": 0,
      "name": "string"
    },
    "type": "string",
    "updated_on": "2019-08-24T14:15:22Z",
    "user_id": 0,
    "variants": [
      {
        "associated_bundles": [
          {
            "product_id": 0,
            "product_name": "string",
            "quantity": 0,
            "variant_id": 0,
            "variant_sku": "string"
          }
        ],
        "barcode": "string",
        "bundle_definition": [
          {
            "product_id": 0,
            "quantity": 0,
            "variant_id": 0,
            "variant_name": "string",
            "variant_sku": "string"
          }
        ],
        "channel_metadata": [
          {
            "channel_id": 0,
            "channel_name": "string",
            "currency": "string",
            "id": 0,
            "is_inventory_sync_enabled": true,
            "legacy_product_id": 0,
            "platform": "string",
            "platform_identifier": "string",
            "platform_inventory_item_id": "string",
            "price": 0.1,
            "seller_sku": "string"
          }
        ],
        "created_on": "2019-08-24T14:15:22Z",
        "customs": {
          "country_code_of_origin": "string",
          "currency": "string",
          "description": "string",
          "hs_tariff_code": "string",
          "is321_eligible": true,
          "value": 0
        },
        "dimension": {
          "height": 0.1,
          "length": 0.1,
          "unit": "string",
          "width": 0.1
        },
        "fulfillment_settings": {
          "dangerous_goods": true,
          "is_bpm_parcel": true,
          "is_case_pick": true,
          "msds_url": "string",
          "requires_prop65": true,
          "serial_scan": {
            "exact_character_length": 0,
            "is_enabled": true,
            "prefix": "string",
            "suffix": "string"
          }
        },
        "gtin": "string",
        "id": 0,
        "inventory": {
          "inventory_id": 0,
          "on_hand_qty": 0
        },
        "is_digital": true,
        "lot_information": {
          "is_lot": true,
          "minimum_shelf_life_days": 0
        },
        "name": "string",
        "packaging_material_type": {
          "id": 0,
          "name": "string"
        },
        "packaging_requirement": {
          "id": 0,
          "name": "string"
        },
        "return_preferences": {
          "backup_action": {
            "id": 0,
            "name": "string"
          },
          "instructions": "string",
          "primary_action": {
            "id": 0,
            "name": "string"
          },
          "return_to_sender_backup_action": {
            "id": 0,
            "name": "string"
          },
          "return_to_sender_primary_action": {
            "id": 0,
            "name": "string"
          }
        },
        "sku": "string",
        "status": "string",
        "upc": "string",
        "updated_on": "2019-08-24T14:15:22Z",
        "weight": {
          "unit": "string",
          "weight": 0.1
        }
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Authentication using Personal Access Token (PAT) token

Query Parameters

Search Products by name, sku, inventory id or product Id.

Barcode
string

Barcode Associated with variant

CategoryIds
string

List of Category Ids associated with product

ChannelIds
string

Looks for Products variants by their channel IDs

HasDigitalVariants
string

Looks for Products with/without digital variants

HasVariants
string

Looks for Products with/without variants

InventoryId
string

Looks for variants by its associated inventory id

LegacyIds
string

Looks for Products with by Legacy Product Id(s)

Name
string

Looks for Products/Variants by name

OnHand
string

Looks for Products with inventory

PlatformIds
string

Looks for Products variants by their external Platform IDs

ProductId
string

Looks for Products with an assigned Id

ProductType
string

Looks for Products by type

SalesChannel
string

Looks for Products variants assigned to a platform/sales channel

LastUpdatedTimestamp
string

Looks for Products that have been updated since the given date

SellerSKUEvaludator
string

Looks for Products that match the provided Seller query

SKU
string

Looks for Products that match the provided Sku query

VariantId
string

Looks for products that contain a variant with the given ID

VariantStatus
string

Looks for Products with variants that contain provided status

Response

Success

category
object
created_on
string<date-time>
id
integer<int64>
name
string | null
sub_category
object
type
string | null
updated_on
string<date-time> | null
user_id
integer<int64>
variants
object[] | null